<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cobs_encode Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cobs_encode Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="cobs__encode_8h_source.html">cobs_encode.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abe222f6d3581e7920dcad5306cc906a8"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#abe222f6d3581e7920dcad5306cc906a8">data</a></td></tr>
<tr class="separator:abe222f6d3581e7920dcad5306cc906a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b594cf8c0c23d9ddc89a92db771fd2"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#a62b594cf8c0c23d9ddc89a92db771fd2">length</a></td></tr>
<tr class="separator:a62b594cf8c0c23d9ddc89a92db771fd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920587de08a5ab22a362f687f94154e2"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#a920587de08a5ab22a362f687f94154e2">number_of_blocks</a></td></tr>
<tr class="separator:a920587de08a5ab22a362f687f94154e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4268aaa1391ee1feafaa63e2e01f9b9e"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#a4268aaa1391ee1feafaa63e2e01f9b9e">block_counter</a></td></tr>
<tr class="separator:a4268aaa1391ee1feafaa63e2e01f9b9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89fd1903809db6f6995513252af78a03"><td class="memItemLeft" align="right" valign="top">uint_fast8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#a89fd1903809db6f6995513252af78a03">current_block_index</a></td></tr>
<tr class="separator:a89fd1903809db6f6995513252af78a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa1d51a76d22d3aecd40515a079721b"><td class="memItemLeft" align="right" valign="top">uint_fast8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#acfa1d51a76d22d3aecd40515a079721b">current_block_length</a></td></tr>
<tr class="separator:acfa1d51a76d22d3aecd40515a079721b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9589bf0caa37c5381ae088e88d2a80"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcobs__encode.html#a6a9589bf0caa37c5381ae088e88d2a80">block</a> [256]</td></tr>
<tr class="separator:a6a9589bf0caa37c5381ae088e88d2a80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6a9589bf0caa37c5381ae088e88d2a80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9589bf0caa37c5381ae088e88d2a80">&#9670;&nbsp;</a></span>block</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t block[256]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4268aaa1391ee1feafaa63e2e01f9b9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4268aaa1391ee1feafaa63e2e01f9b9e">&#9670;&nbsp;</a></span>block_counter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t block_counter</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89fd1903809db6f6995513252af78a03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89fd1903809db6f6995513252af78a03">&#9670;&nbsp;</a></span>current_block_index</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast8_t current_block_index</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acfa1d51a76d22d3aecd40515a079721b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfa1d51a76d22d3aecd40515a079721b">&#9670;&nbsp;</a></span>current_block_length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast8_t current_block_length</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abe222f6d3581e7920dcad5306cc906a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe222f6d3581e7920dcad5306cc906a8">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62b594cf8c0c23d9ddc89a92db771fd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62b594cf8c0c23d9ddc89a92db771fd2">&#9670;&nbsp;</a></span>length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t length</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a920587de08a5ab22a362f687f94154e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a920587de08a5ab22a362f687f94154e2">&#9670;&nbsp;</a></span>number_of_blocks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t number_of_blocks</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>cobs/<a class="el" href="cobs__encode_8h_source.html">cobs_encode.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
